<h2 appHighlight>Directive</h2>

<input type="number" [(ngModel)]="num" />
<h3 class="appHighlight">ngIf</h3>
<div *ngIf="num!=undefined && num%2==0">
    Even Number
</div>
<div *ngIf="num!=undefined && num%2>0">
    Odd Number
</div>

<h3 id="appHighlight">ngIf..Else</h3>
<div *ngIf="num!=undefined && num%2==0 then divif;
 else divelse"></div>

<ng-template #divif>Even Number</ng-template>
<ng-template #divelse>Odd Number</ng-template>

<h3>Switch</h3>
<input type="text" [(ngModel)]="alphabet" />
<div [ngSwitch]="alphabet">
    <div *ngSwitchCase="'a'">Vowel</div>
    <div *ngSwitchCase="'e'">Vowel</div>
    <div *ngSwitchCase="'i'">Vowel</div>
    <div *ngSwitchCase="'o'">Vowel</div>
    <div *ngSwitchCase="'u'">Vowel</div>
    <div *ngSwitchDefault>Not Vowel</div>
</div>

<h3>For</h3>
<select [(ngModel)]="color">
    <option value="">--Select--</option>
    <option *ngFor="let item of colors"
    [value]="item" [innerHTML]="item"></option>
</select>

<div [ngStyle]="{'background-color': color}">
    Selected Color: {{color}}
</div>
<div [ngClass]="{'red-color': color=='red'}">
    Red class, if selected value is RED.
</div>